powered by Jive Software

Fail to start openfire 4.3.0 on MacOS Mojave(Version: 10.14.2)


#1

I had install JDK 8 && openfire 4.3.0

But when I clicked on button ‘Start openfire’ from System Preferences --> openfire

An error message was displayed, and the content was: System Preferences quint unexpectedly while using the Openfire plug-in

Does somebody has solving this issue ??


#2

You have already discovered the related ticket in JIRA, so you know that this is a known bug and nobody on the team knows how to fix this. Until some experienced java developer for macOS provides a fix, you can use older version of Openfire https://github.com/igniterealtime/Openfire/releases


#3

An interesting thing is, after I launch via command line. It could be launched.


#4

Can you share the command line?


#5

Post a command string plz! I have a same issue on El Capitan 10.11.6


#6

there is a startup script (openfire.sh) in the openfire install folder. you can run this script to manually start OF. you may need to set JAVA_HOME if its not already set.


#8

yes, that is right


#9

I have solved this problem, and the Openfire on my Mac could be running.

Posting some steps here:
$ sudo chmod -R 777 /usr/local/openfire/bin
Password:
$ sudo su
sh-3.2# cd /usr/local/openfire/bin
sh-3.2# export JAVA_HOME=`/usr/libexec/java_home` 
sh-3.2# echo $JAVA_HOME /Library/Java/JavaVirtualMachines/jdk1.8.0_101.jdk/Contents/Home
/Library/Java/JavaVirtualMachines/jdk1.8.0_101.jdk/Contents/Home /Library/Java/JavaVirtualMachines/jdk1.8.0_101.jdk/Contents/Home
sh-3.2# cd /usr/local/openfire/bin
sh-3.2# ./openfire.sh
Openfire 4.0.2 [Aug 9, 2016 1:51:21 PM]
Admin console listening at http://myMac.local:9090

Running these commands above one by one(setup the java_home variable in openfire.xml)

[Note]:
Grant the write permission to openfire.xml before you launching Openfire.


#10

My BIG thanks, Greg! I got access to console. Now I’ll play with glitchy Registration and Search plugins


#11

Thanks for sharing your finding. I wonder why your console is showing 4.0.2 version though. Is it showing 4.3.0 in Admin Console?


#12

(Aug 9, 2016) I guess that is his old template where to copy/paste strings from :wink:


#13

Oh, i didn’t pay attention to the date :smiley:


#14

These code was found from other place, ignore the version


#15

Yes, I copied them in someplace :smiley: